<script>
	import Menu from './Menu.svelte';

	export let current_url;
	export let origin;
	export let menu = null;
	export let title;
	export let tagline = '';
</script>

<header>
	<h1><a class="link-no-decor" href={origin}>{@html title}</a></h1>
	{#if tagline}
		<p>{@html tagline}</p>
	{/if}
	{#if menu}
		<Menu {current_url} menu={menu.menu} />
	{/if}
</header>

<style>
	header {
		text-align: center;
	}

	h1 {
		margin-block-end: 0;
	}

	p {
		margin-block-start: 0;
		font-family: var( --font-sans-serif );
	}
</style>
